# BLID Rewards Calculation and Distribution

### Rewards distribution period (Epochs)

The rewards distribution period is not fixed. Currently, it occurs every 12 hours from the previous distribution. Whether it occurs rarely or frequently, it does not affect the distribution of rewards to users.

### Calculation of Rewards

* User 1 deposits $x\_1$ at moment $t\_1$
* User 2 deposits $x\_2$ at moment $t\_2$
* and so on …

The smart-contract distributes Y rewards at moment $t\_{endOfEpoch}$

Then $totalTokenTime = \sum(t\_{endOfEpoch}-t\_i)\*x\_i$

The rewards for each user are calculated based on their token holding time.

$Rewards\_{user\_i} = \[Y / totalTokenTime ]\* \[(t\_{endoOfEpoch}-t\_i)\*x\_i]$

This means that a user's rewards are dependent on the amount of time that the deposit remains in the contracts during the Epoch

### Claim after full withdrawal

The algorithm calculates the amount of time a user's assets remain in storage contracts. For instance, if a user deposits assets, waits for an hour, and withdraws them, the algorithm records the time and amount of the transaction in the distribution. A user can claim rewards even after withdrawing their assets.

* user 1 deposits X USDT at the begining of epoch, waits 6 hours, withdraws full deposit
* user 2 deposits X USDT at the begining of epoch and does not withdraw anything

Then at the end of epoch (at distribution moment)

$totalTokenTime =(t\_{endOfEpoch}-t\_0)/2\*X+ (t\_{endOfEpoch}-t\_0)\*X$

Then rewards of Y BLID tokens can be calculated as

$Rewards\_{user\_1} = 1/3 \* Y$

$Rewards\_{user\_2} = 2/3 \* Y$

### Claim after partially withdrawal

The algorithm calculates the time a user’s assets remain in storage contracts and distribute propotion BLID for each user. For example, if

* user 1 deposits X USDT at the begining of epoch, waits 6 hours, withdraws a half of deposit
* user 2 deposits X USDT at the begining of epoch and does not withdraw anything
* Smart contract makes distribution after 12 hrs from the beginning

Then at the end of epoch (at distribution moment)

$totalTokenTime =\[(t\_{endOfEpoch}-t\_0)/2*X+(t\_{endOfEpoch}-t\_0)/2*X/2] + (t\_{endOfEpoch}-t\_0)\*X$

Then rewards of Y BLID tokens can be calculated as

$Rewards\_{user\_1} = 3/7 \* Y$

$Rewards\_{user\_1} = 4/7 \* Y$


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.bolide.fi/bolide-earn/strategies/blid-rewards-calculation-and-distribution.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
